#include "attack.ih"

Attack::Attack(string const &id, string const &playerClass)
  : Behavior("Attack", id, playerClass),
    d_me(0),
    d_friend(1),
    d_buffered_if(1)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

	AgentModel const &am = SAgentModel::getInstance();
  d_me = am.getUnum();
  d_friend = (d_me == 1) ? 2 : 1;
}
