#include "attack.ih"

bool Attack::closestStanding()
{
  WorldModel& wm = SWorldModel::getInstance();
  Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();
  double distToBall = ballPos.length();
  for (WorldModel::player_iterator iter = wm.beginPlayers(); iter != wm.endPlayers(); ++iter)
    if ((iter->second.getPosition() - ballPos).length() < distToBall && !iter->second.onGround())
      return false;
      
  return true;
}
