#ifndef _BATS_CANCURL_HH_
#define _BATS_CANCURL_HH_

#include "behavior.hh"

namespace bats
{
  class CanCurl : public Behavior
  {
    float d_radius;
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    CanCurl(std::string const &id, std::string const &playerClass);
  };
};

#endif
