#include "catchfallback.ih"

Behavior::ConfidenceInterval CatchFallBack::getCapability(rf<State> s, rf<Goal> g)
{
  AgentModel::FallDirection fallDirection = SAgentModel::getInstance().getDirectionOfFall();

    return (fallDirection == AgentModel::FALL_TO_BACK) 
            ? ConfidenceInterval(0.95, 0.2) 
            : ConfidenceInterval(-1.0, 0.0);
} 
