#include "catchfallback.ih"

rf<Behavior::State> CatchFallBack::getCurrentState()
{
  rf<State> state = new State();
  rf<OrNode> dis = state->addDisjunct();
  rf<AndNode> con = dis->addConjunct();

  AgentModel::FallDirection fallDirection = SAgentModel::getInstance().getDirectionOfFall();
  con->addVar("DirectionOfFall", fallDirection, fallDirection);

  return state;
}
