#ifndef _BATS_CORNERKICK_HH_
#define _BATS_CORNERKICK_HH_

#include "behavior.hh"

namespace bats
{
  class CornerKick : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    CornerKick(std::string const &id, std::string const &playerClass);
    void update();
  };
};

#endif
