#include "cubicspline.ih"

void
CubicSpline::addPoint(vector<pair<double,double> > &points, double t, double y) const
{
		if (t < 0)
			_debugLevel4("Negative time, ignoring data point");
		else if (t > 1)
			_debugLevel4("Found t > 1, ignoring data point");
		else
			points.push_back(pair<double, double>(t, y));
}

