#ifndef _BATS_GAWALK_HH_
#define _BATS_GAWALK_HH_

#include "behavior.hh"

namespace bats
{
  class GAWalk : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    GAWalk(std::string const &id, std::string const &playerClass);
  };
};

#endif

