#include "getupquick.ih"

Behavior::ConfidenceInterval GetUpQuick::getCapability(rf<State> s, rf<Goal> g)
{
  AgentModel &am = SAgentModel::getInstance();
  WorldModel &wm = SWorldModel::getInstance();

  if ((!am.onMyBelly() && !am.onMyBack() && !am.onMySide()) || wm.getPlayMode() == Types::BEFORE_KICKOFF ||
                 wm.getPlayMode() == Types::GOAL_US ||
                 wm.getPlayMode() == Types::GOAL_THEM)
    return capable(false);
  else
    return ConfidenceInterval(0.95, 0.2);
  
 /*    
  return SWorldModel::getInstance().getGetUpTheOldFashionedWay()
          ? ConfidenceInterval(0.80, 0.0)
          : ConfidenceInterval(0.91, 0.0);*/
}
