#include "goodposition.ih"

GoodPosition::GoodPosition(string const &id, string const &playerClass)
  : Behavior("GoodPosition", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);

  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

 d_min_distance = getParam("/distance/@min", 0.3);
 d_max_distance = getParam("/distance/@max", 1.5);
 d_brake_distance = getParam("/distance/@brake", 0.5);
}
