#include "keeperfall.ih"

KeeperFall::KeeperFall(string const &id, string const &playerClass)
  : Behavior("KeeperFall", id, playerClass)
{
  d_right = getParam("/right", 0.6) > 0.5;
  _debugLevel3((d_right ? "right" : "left"));

  d_radius = getParam("/radius", 2);
  _debugLevel3(d_radius);
  
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
}
