#include "kickball.ih"

void KickBall::update()
{
  Behavior::update();
  
  WorldModel& wm = SWorldModel::getInstance();

  if (d_curStep > 0 && wm.getTime() - d_curStepStart > d_maxStepTime)
    return;
  
  Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();
  
  ballPos[2] = 0;
  
  d_committed = d_committed ||
                (ballPos.length() < d_maxBallDist);
                  
}

