#ifndef _BATS_KICKIN_HH_
#define _BATS_KICKIN_HH_

#include "behavior.hh"

namespace bats
{
  class KickIn : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    KickIn(std::string const &id, std::string const &playerClass);
    void update();
  };
};

#endif
