#ifndef _BATS_KICKOFF_HH_
#define _BATS_KICKOFF_HH_

#include "behavior.hh"

namespace bats
{
  class KickOff : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
    
    double d_max_distance;

  public:
    KickOff(std::string const &id, std::string const &playerClass);
    
    virtual void update();
  };
};

#endif
