#include "localbehavior.ih"

Behavior::ConfidenceInterval LocalBehavior::getCapability(rf<State> s, rf<Goal> g)
{
  Vector3D ballPos = SWorldModel::getInstance().getObject(Types::BALL).position.getMu();

  if (ballPos.length() > d_min_distance && ballPos.length() < d_max_distance)
    return capable(true);

  return capable(false);
}
