#include "localbehavior.ih"

void LocalBehavior::update()
{
  Behavior::update();
	
	if (d_committed)
		return;
	
	if (d_goal)
	{
		Vector3D pos;
		if (d_goal->findDeep("PosX"))
  	{
  		pos = d_goal->getVector("Pos");  			
			d_committed = (pos.length() > d_min_distance && pos.length() < d_max_distance);
  	}
	}
	
	return;
}
  
