#include "miniwalkbackward.ih"

Behavior::ConfidenceInterval MiniWalkBackward::getCapability(rf<State> s, rf<Goal> g)
{
  Vector3D pos = g->getVector("Pos");
  Vector3D dir = g->getVector("Dir");

  _debugLevel4(ident() << " pos: " << pos);

  //WorldModel& wm = SWorldModel::getInstance();
  
  if (pos.getY() > d_y_threshold && fabs(pos.getX()) > d_marge )
    {
        return capable(true);
    }
  return capable(false);
}

