#include "position.ih"

rf<Behavior::Goal> Position::generateGoal(unsigned step, unsigned slot)
{
  WorldModel &wm = SWorldModel::getInstance();
  rf<Goal> goal = new Goal();
  rf<OrNode> dis = goal->addDisjunct();
  rf<AndNode> con = dis->addConjunct();
  Vector3D pos = wm.getObject(d_defaultPos).position.getMu();
  float length = pos.length() - d_distance;
  pos = pos.normalize() * length;
  con->addVar("Pos", pos);
  con->addVar("Dir", pos);
  
  return goal;
}
