#include "positionarm.ih"

PositionArm::PositionArm(string const &id, string const &playerClass)
  : Behavior("PositionArm", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));


  d_side = Types::RIGHT;

  XMLNodeSet params = getParams("/side");
  if(params && !params.empty())
  {
    XMLNode scriptNode = params.front();
    if (scriptNode.getContent() == "0")
      d_side = Types::LEFT;
  }
}
