#include "positionfoot.ih"

PositionFoot::PositionFoot(string const &id, string const &playerClass)
  : Behavior("PositionFoot", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
//  d_tree->getChild(0)->addChild(new AST::Node(orType));

  d_side = Types::RIGHT;

  XMLNodeSet params = getParams("/side");
  if(params && !params.empty())
  {
    XMLNode scriptNode = params.front();
    if (scriptNode.getContent() == "0")
      d_side = Types::LEFT;
  }

  d_speedFactor = Behavior::getParam("/speedfactor", 4.0);
  d_maxDist = Behavior::getParam("/maxdist", 0.01);
}
