#ifndef _BATS_RESET_HH_
#define _BATS_RESET_HH_

#include "behavior.hh"

namespace bats
{

  class Reset : public Behavior
  {
		bool d_firstTime;
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    Reset(std::string const &id, std::string const &playerClass);
  };
};

#endif
