#ifndef _BATS_SCORPIUSBLOCKER_HH_
#define _BATS_SCORPIUSBLOCKER_HH_

#include "behavior.hh"

namespace bats
{
  class ScorpiusBlocker : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
    double d_lastKickOffThem;
    bool d_lastModeKickOffThem;
    
  public:
    ScorpiusBlocker(std::string const &id, std::string const &playerClass);
    
    virtual void update();
  };
};

#endif
