#include "stabilize.ih"

Stabilize::Stabilize(string const &id, string const &playerClass)
  : Behavior("Stabilize", id, playerClass)
{   
  //make a slot for every joint
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  for (unsigned i = 0; i < Types::NJOINTS; ++i)
    d_tree->getChild(0)->addChild(new AST::Node(orType));
  	
 	d_isNearlyStabilized = false;
 	d_noOfTries = 0;
 	d_wasCommitted = false;
  
}
