#include "stabilize.ih"

Behavior::ConfidenceInterval Stabilize::getCapability(rf<State> s, rf<Goal> g)
{
	WorldModel &wm = SWorldModel::getInstance();
	AgentModel &am = SAgentModel::getInstance();
	
	float forceOnFeet = am.getFootForce(Types::LEFT).getZ() + am.getFootForce(Types::RIGHT).getZ();
	
  _debugLevel4("ForceOnfeet: "  << forceOnFeet << " " << (abs(wm.getDistToField()) > 1));

	if (forceOnFeet > 10 && abs(wm.getDistToField()) > 1.5)
		_debugLevel4("ForceOnfeet: "  << forceOnFeet << " " << (abs(wm.getDistToField()) > 1));
	
	return capable(true);
 // 	return (forceOnFeet > 10 && abs(wm.getDistToField()) > 1.0) ? ConfidenceInterval(0.7, 0.0) : ConfidenceInterval(0.0, 0.0);
}
