#ifndef _BATS_STEER_HH_
#define _BATS_STEER_HH_

#include "behavior.hh"

namespace bats
{
  class Steer : public Behavior
  {
    double d_strength, d_minCapableAngleThreshold, d_maxCapableAngleThreshold, d_rangeCapableAngleThreshold, d_min_distance;
    double d_minUpdateAngleThreshold, d_maxUpdateAngleThreshold, d_rangeUpdateAngleThreshold;
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    Steer(std::string const &id, std::string const &playerClass);
    virtual void update();
  };
};

#endif
