#include "straferight.ih"

Behavior::ConfidenceInterval StrafeRight::getCapability(rf<State> s, rf<Goal> g)
{
  Vector3D pos = g->getVector("Pos");
  Vector3D dir = g->getVector("Dir");

  _debugLevel4(ident() << " pos: " << pos);
    
  //WorldModel& wm = SWorldModel::getInstance();
  
  if ( (fabs(pos.getX()) < d_marge && fabs(pos.getX()) < pos.getY() && pos.getX() < 0.0) ||
        (pos.getY() < d_y_threshold && fabs(pos.getX()) > d_marge && pos.getX() < 0.0) )
    {
        return capable(true);
    }
    
  return capable(false);
}

