#include "strafetoball.ih"

Behavior::ConfidenceInterval StrafeToBall::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();

  // The ball position.
  Vector3D ball = wm.getObjectPositionLocal(Types::BALL).getMu();

  //cerr << "Y: " << ball.getY() << " Len: " << ball.length() << " Angle: " << atan(ball.getY()/ball.getX()) << endl;

  if (fabs(ball.getY()) > d_min_distance && ball.length() < d_max_distance && fabs(atan(ball.getY()/ball.getX())) < d_angle) {
    //cerr << "I totally want to Strafe!" << endl;
    return ConfidenceInterval(1.0, 1.0);
  }

  return capable(false);
}

