#ifndef _BATS_KICKTRAINER_HH_
#define _BATS_KICKTRAINER_HH_

#include "trainer.hh"

namespace bats
{
  class KickTrainer : public Trainer
  {
    Vector3D d_footPos;
    double d_kickPeriod;
    std::vector<double> d_kickAmps;
    
    virtual void onRunStart();
    virtual void onRunEnd();

    virtual void preGenerateGoal(unsigned step);
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);

  public:
    KickTrainer(std::string const &id, std::string const &playerClass)
    : Trainer(id, playerClass)
    {
    }
    
  };
}

#endif
