#include "turnto.ih"

TurnTo::TurnTo(string const &id, string const &playerClass)
  : Behavior("TurnTo", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(2)->addChild(new AST::Node(orType));
  
  d_min_distance = getParam("/distance/@min", 0.0);
	d_max_distance = getParam("/distance/@max", 999.0);
}

