#include "turnto.ih"

Behavior::ConfidenceInterval TurnTo::getCapability(rf<State> s, rf<Goal> g)
{
	if (g->findDeep("PosX"))
	{
		Vector3D pos;
		
		if (g->findDeep("FinalPosX"))
			pos = g->getVector("FinalPos");
		else
			pos = g->getVector("Pos");
			
		return ((pos.length() > d_min_distance && pos.length() < d_max_distance) ? capable(true) : capable(false));
	}
	
  return capable(true);
}
 
