#include "wait.ih"

Behavior::ConfidenceInterval Wait::getCapability(rf<State> s, rf<Goal> g)
{
  double waitTill = d_waitTill;
  rf<StateVarNode> timeNode = rf_cast<StateVarNode>(g->findDeep("Time"));
  if (timeNode)
  {
    StateVar time = timeNode->getVar();
    waitTill = time.second.mean();
    // _debugLevel1("Wait doesn't understand!");
    //return ConfidenceInterval(-1.0, 0.0);
  }
  

  // Dit is niet zo mooi, moet eigenlijk uit de state variabele gehaald worden..
  WorldModel& wm = SWorldModel::getInstance();
  if (wm.getTime() - wm.getFirstTime() < waitTill)
  {
    _debugLevel4(wm.getTime() << "-" << waitTill <<": Ff wachten..");
    return ConfidenceInterval(-1.0, 0.0);
  }

  _debugLevel4(wm.getTime() << "-" << waitTill <<": Pizza!");
  return ConfidenceInterval(1.0, 0.0);
}
