#ifndef _BATS_WALKTOANGLE_HH_
#define _BATS_WALKTOANGLE_HH_

#include "behavior.hh"

namespace bats
{
  class WalkToAngle : public Behavior
  {
  	float d_curveFactor, d_brakeDistance, d_targetSpeed;
  
  	double d_min_distance;
  	
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    WalkToAngle(std::string const &id, std::string const &playerClass);
    void update();
  };
};

#endif
