#ifndef _BATS_WALKTOAVOID_HH_
#define _BATS_WALKTOAVOID_HH_

#include "behavior.hh"

namespace bats
{
  class WalkToAvoid : public Behavior
  {

    Vector3D d_current_goal;
    bool d_onlyPlayers;

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState() { return 0; }
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);

  public:
    WalkToAvoid(std::string const &id, std::string const &playerClass);

  private:
    bool differsSignificantly(Vector3D const &one, Vector3D const &two);
  };
};

#endif
