#include "zerogoodpositionangle.ih"

ZeroGoodPositionAngle::ZeroGoodPositionAngle(string const &id, string const &playerClass)
  : Behavior("ZeroGoodPositionAngle", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));

  d_max_distance = getParam("/distance/@max", 4.0);
}
