#include "canturnright.ih"

rf<Behavior::Goal> CanTurnRight::generateGoal(unsigned step, unsigned slot)
{
  d_committed = true;

  _debugLevel4("CanTurnRight::generateGoal " << step << " " << slot);
  WorldModel& wm = SWorldModel::getInstance();
  
  rf<Goal> goal = new Goal();
  rf<OrNode> dis = goal->addDisjunct();
  rf<AndNode> con = dis->addConjunct();

  Vector3D normal = wm.getFieldNormal();

  double angle = 0.0;

  con->addVar("Angle", angle, angle);

  return goal;
}
