#include "canturnright.ih"

Behavior::ConfidenceInterval CanTurnRight::getCapability(rf<Behavior::State> s, rf<Behavior::Goal> g)
{
  rf<StateVarNode> angleNode = rf_cast<StateVarNode>(g->findDeep("Angle"));
  if (!angleNode)
  {
    _debugLevel1("CanTurnRight doesn't understand!");
    return ConfidenceInterval(-1.0, 0.0);
  }
    
  StateVar angleVar = angleNode->getVar();
  double angle = angleVar.second.mean();
  
  _debugLevel4("Angle: " << angle);

  //WorldModel& wm = SWorldModel::getInstance();
  
  if (angle < 0)// || !wm.onMyFeet())
  {
  	_debugLevel3("Can't turn right");
    return ConfidenceInterval(-1.0, 0.0);
  }
  //cout << "TurnLeft" << endl;
 	_debugLevel4("Can turn right");
  return ConfidenceInterval(d_capability, d_capability);
  
}
