#include "behavior.ih"

Behavior::ConfidenceInterval Behavior::setGoal(rf<Goal> g)
{
  _debugLevel3("Behavior<" << ident() << ">::setGoal(" << g << ")");

  rf<State> currentState = getCurrentState();
  
  _debugLevel4("Behavior<" << ident() << ">::currentState() = " << currentState );
  
  ConfidenceInterval c = getCapability(currentState, g);

  _debugLevel3(ident() << " has capability (" << c.first << ", " << c.second << ")");

  d_c = c;
  d_goal = g;
  return c;
}
