#include "posturecombiner.ih"

void PostureCombiner::initWalkModule()
{
  if (PostureCombiner::s_walk_module_initialized == true)
    return;

  PostureCombiner::initWalkModuleForward();
  PostureCombiner::initWalkModuleBackward();
  PostureCombiner::initWalkModuleStrafeRight();
  PostureCombiner::initWalkModuleStrafeLeft();
  PostureCombiner::initWalkModuleTurnRight();
  PostureCombiner::initWalkModuleTurnLeft();

  PostureCombiner::s_walk_module_initialized = true;
  cout << "static init walk module" << endl;
}
