#include "posturegenerator.ih"

Posture PostureGenerator::operator()(double const &in)
{
  vector<double> posture = d_pattern(in);
  Posture::PosturePosition posturePosition;
  
  for (size_t i(0); i < posture.size(); ++i)
      posturePosition[d_indices[i]] = posture[i];

  return Posture(posturePosition);
}
