#ifndef _INCLUDED_SINEFUNCTION_
#define _INCLUDED_SINEFUNCTION_

#include "../function/function.hh"

class SineFunction : public Function<double, double>
{
  double d_amplitude;
  double d_period;
  double d_phase;
  double d_offset;
  
public:
  SineFunction();
  SineFunction(double amplitude, double period, double phase, double offset);
  
  double operator()(double const &in);
  SineFunction operator+(SineFunction const &other);
  SineFunction operator/(double other);
  
private:
};

        
#endif
