#include "humanoidbat.ih"



void HumanoidBat::think()
{
  /// Should this be here? no BATS specific things should be in WorldModel
  try {
    StackCheck::getInstance().printIfChanged();
    StackCheck::getInstance().clear();
  }
  catch(...) //eerste keer gaat niet goed
    {}

  d_fitness->update();
  d_fitness->print();

  //_debugLevel1("lfoot trans: " << AgentModel::getInstance().getBodyPart(Types::LFOOT)->transform.trans());
  
  Behavior::clearActionCommandBehaviors();
  
  _debugLevel3("Running behaviors");
  mvds::TimeVal t0 = mvds::TimeVal::getTimeOfDay();
  
  // Update all sine behaviors
  WorldModel& wm = SWorldModel::getInstance();
  vector<rf<Sine> > sines = Sine::getSines();
  
  for (unsigned s = 0; s < sines.size(); ++s)
  {
    _debugLevel1("Decreasing " << sines[s]->ident() << " from: " << sines[s]->getFactor());
    sines[s]->decreaseFactor(wm.getTime() - sines[s]->getLastUpdate());
    _debugLevel1("To: " << sines[s]->getFactor());
  }

/* Sine-klasse aangepast
  std::vector<rf<Sine> > sines = Sine::getSines();
  for (unsigned i = 0; i < sines.size(); ++i)
    sines[i]->decreaseFactor(0.02);
 */ 

  rf<Behavior> win = Behavior::getWin();
  
  if (!win)
  {
    _debugLevel1("No win behavior!");
  }
  else
  {
    _debugLevel3("Setting goal");
    win->update();
    win->setGoal(new Behavior::Goal);
    _debugLevel3("Achieving goal " << win->ident());
    if (!(win->achieveGoal()))
    {
      _debugLevel1("Win behavior was unable to achieve goal!");
      win->reset();
    }
    else
      _debugLevel3("Win behavior achieved goal!");
  }
      
             
  for (unsigned s = 0; s < sines.size(); ++s)
    sines[s]->setLastUpdate(wm.getTime());
    
  /* ---------------- Collect action commands and send them to the server ------------*/
            
  //if (wm.shouldSendAction())
  //{
    _debugLevel3("Send action commands"); 
    
    _debugLevel1("DistTOFIELD: " << SWorldModel::getInstance().getDistToField());
    
    Cerebellum& cer = SCerebellum::getInstance();
    
    set<rf<Behavior> > acBehaviors = Behavior::getActionCommandBehaviors();
    _debugLevel4("Nr of action behaviors: " << acBehaviors.size());
    for (set<rf<Behavior> >::iterator iter = acBehaviors.begin(); iter != acBehaviors.end(); ++iter)
    {
    	cer.addAction((*iter)->getAction());
    }
    
    cer.outputCommands(SAgentSocketComm::getInstance());
  //}
  
  // Agent::run sends done thinking
}
