
#include "worldmodel.ih"


void WorldModel::update()
{
  if (d_time != SCochlea::getInstance().getInfo(Cochlea::iNow)[0])
  {
	//double diff = SCochlea::getInstance().getInfo(Cochlea::iNow)[0] - d_time;

	//	if (diff > 0.021)
	//	  cerr << "Difference: " << diff << endl;

    ++d_numMsgReceived;
    updateGameState();
    updateVision();
    
    d_ball_predictor.update(getObject(Types::BALL).position.getMu());
    //cout << d_ball_predictor.predict(2).getX() << " " << d_ball_predictor.predict(2).getY() << " " << d_ball_predictor.predict(0).getX() << " " << d_ball_predictor.predict(0).getY() << endl;
    //score output
    if (weJustScored())
      cerr << "SCORE: US" << endl;

    if (theyJustScored())
      cerr << "SCORE: THEM" << endl;
  }
}
