#include "otherballkick.ih"

double OtherBallKick::firstPlayerAngle()
{
     WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal = wm.getObject(Types::GOAL1US).position.getMu();
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();
    
    Vector3D diff = (goal - ball);

    return atan2(diff.getX(), diff.getY());
}
