#include "usballkick.ih"

double UsBallKick::secondPlayerAngle()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal = wm.getObject(Types::GOAL1US).position.getMu();
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();
    
    Vector3D diff;
    if (firstPlayerPos().length() < 0.4)
        diff = wm.getObject(Types::GOAL1THEM).position.getMu().normalize();
    else
        diff = (firstPlayerPos().normalize());

    return atan2(diff.getX(), diff.getY());
}
