#include "uscorner.ih"

Vector3D UsCorner::approach()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();


    Vector3D mid_1 = (wm.getObject(Types::GOAL1THEM).position.getMu() * 0.60 + wm.getObject(Types::GOAL1US).position.getMu() * 0.40);
    Vector3D mid_2 = (wm.getObject(Types::GOAL2THEM).position.getMu() * 0.60 + wm.getObject(Types::GOAL2US).position.getMu() * 0.40);
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();

    Vector3D to_them = wm.getObject(Types::GOAL1THEM).position.getMu() - wm.getObject(Types::GOAL1US).position.getMu();

    Vector3D new_pos;
    if ((ball - mid_1).length() > (ball - mid_2).length())
        new_pos = mid_2;
    else
        new_pos = mid_1;   


    new_pos += to_them.normalize() * 2;
    return new_pos;
}
