#include "uscorner.ih"

bool UsCorner::isApplicable()
{   
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D ball = wm.getObject(Types::BALL).position.getMu();
    return (wm.getPlayMode() == Types::CORNER_KICK_US) && !closestTo(ball, 1);
}

