#include "uscorner.ih"

double UsCorner::secondPlayerAngle()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal = wm.getObject(Types::GOAL1US).position.getMu();
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();
    
    Vector3D diff = (secondPlayerPos().normalize());
  

    return atan2(diff.getX(), diff.getY());
}
