#!/usr/bin/perl

use IO::Socket;

sub prepareMsg
{
  my $msg = shift;
  my $len = length($msg);
  my $pref = pack 'N',$len;
  return $pref.$msg;
}


my $host = shift || 'localhost';
my $port = shift || 3200;

print "Connecting to server...\n";

my $sock = new IO::Socket::INET ( PeerAddr => $host, PeerPort => $port, Proto => 'tcp',  );
die "Could not create socket: $!\n" unless $sock;
print "Connected!\n";

while ($line = <>)
{
  chomp $line;
  last if $line eq "q";
  print $sock prepareMsg($line);
}

