#!/bin/bash
conf=$1
nplay=$2
team=$3
oppconf=$4
oppteam=$5

#Default number of players
if test "x$nplay" == "x"; then
  nplay=3
fi

#Default team configuration
if test "x$conf" == "x"; then
  conf="naobat_jeroen.xml"
fi
if test "x$team" == "x"; then
  team="BATS"
fi

#Default opponent configuration
if test "x$oppconf" == "x"; then
  oppconf="$conf"
fi
if test "x$oppteam" == "x"; then
  oppteam="EVIL"
fi

echo "1] Configuration of team A: $conf"
echo "2] Number of players: $nplay"
echo "3] Team name: $team"
echo "4] Opponent configuration: $conf"
echo "5] Opponent team name: $oppteam"

#Start team members
s=2
while [[ $nplay > 0 ]]; do
  xterm -title ${team}${nplay} -e "./humanoidbat -c $conf -u $nplay -t $team 2> player${team}${nplay}_cerr.log || less player${team}${nplay}_cerr.log" &
  sleep $s
  xterm -title ${team}${nplay} -e "./humanoidbat -c $oppconf -u $nplay -t $oppteam 2> player${oppteam}${nplay}_cerr.log || less player${oppteam}${nplay}_cerr.log" &
  sleep $s
  let nplay=nplay-1
done

