#ifndef _BATS_ATTACK_HH_
#define _BATS_ATTACK_HH_

#include "behavior.hh"
#include "bufferedif/bufferedif.h"

namespace bats
{
  class Attack : public Behavior
  {
    int d_me, d_friend;
    BufferedIf d_buffered_if;

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    Attack(std::string const &id, std::string const &playerClass);

private:

    bool closestStanding();

  };
};

#endif
