#ifndef _INCLUDED_BALLINRANGE_
#define _INCLUDED_BALLINRANGE_

#include "behavior.hh"
#include <string>
#include "bufferedif.h"

namespace bats
{
class BallInRange : public Behavior
{
    double d_max_distance;
    BufferedIf d_buffered_if;

    public:
        BallInRange(std::string const &id, std::string const &playerClass);


    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
 
    private:
};

}        
#endif
