#include "cancurl.ih"

CanCurl::CanCurl(string const &id, string const &playerClass)
  : Behavior("CanCurl", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  
  d_radius = getParam("/radius", 0.3);
}
