#ifndef _BATS_CATCHFALLFRONT_HH_
#define _BATS_CATCHFALLFRONT_HH_

#include "behavior.hh"

namespace bats
{
  class CatchFallFront : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    CatchFallFront(std::string const &id, std::string const &playerClass);

    virtual void update();
  };
};

#endif
