#include "catchfallside.ih"

Behavior::ConfidenceInterval CatchFallSide::getCapability(rf<State> s, rf<Goal> g)
{
    AgentModel::FallDirection direction = SAgentModel::getInstance().getDirectionOfFall();

    return (direction == AgentModel::FALL_TO_LEFT || direction == AgentModel::FALL_TO_RIGHT) 
            ? ConfidenceInterval(0.95, 0.0) 
            : ConfidenceInterval(-1.0, 0.0);
} 
