#include "defend.ih"

Defend::Defend(string const &id, string const &playerClass)
  : Behavior("Defend", id, playerClass),
    d_buffered_if(3)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));

  d_defend_distance = getParam("/distance/@min", 1.0);
  d_otherplayer_distance = getParam("/distance/@other", 0.5);
  d_min_time = getParam("/waittime/@min", 1.0);
  d_max_time = getParam("/waittime/@max", 5.0);
}
