#ifndef _BATS_DEFEND_HH_
#define _BATS_DEFEND_HH_

#include "behavior.hh"
#include "bufferedif.h"

namespace bats
{
  class Defend : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);

    BufferedIf d_buffered_if;
  
    double d_defend_distance, d_otherplayer_distance;
    double d_min_time, d_max_time;
    
        
  public:
    Defend(std::string const &id, std::string const &playerClass);
  };
};

#endif
