#include "defend.ih"

Behavior::ConfidenceInterval Defend::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();

  _debugLevel1("N closer: " << wm.otherCloserToBall());
  
  if (wm.getPlayMode() == Types::CORNER_KICK_THEM ||
      wm.getPlayMode() == Types::KICKIN_THEM)
    return capable(true);

  Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();
  double minDist = 24.0;
  
  for (WorldModel::player_iterator iter = wm.beginPlayers(); iter != wm.endPlayers(); ++iter)
  {
    double dist = (iter->second.getPosition() - ballPos).length();
    if (dist < minDist)
      minDist + dist;
  }
  // Attack when we're the closest to the ball that isnt on the ground
  d_buffered_if.setBufferLength(minDist < d_otherplayer_distance ? d_max_time : d_min_time);

  if(d_buffered_if(wm.otherCloserToBall()))
    return capable(true);
  else
    return capable(false);
}
      
