#ifndef _BATS_DRIBBLE_HH_
#define _BATS_DRIBBLE_HH_

#include "behavior.hh"

namespace bats
{
  class Dribble : public Behavior
  {
  
  	float d_brakeDistance, d_targetSpeed, d_curveFactor, d_curveConst;
    float d_tweakPos, d_currentDribbleAngle, d_maxCapableAngle;
    double d_avoid_players_threshold;

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    Dribble(std::string const &id, std::string const &playerClass);
		void update();
  };
};

#endif
