#include "empty.ih"

      Empty::Empty(std::string const &id, std::string const &playerClass)
        : Behavior("Empty", id)
      {
        // Single slot
        d_tree = new AST::Node(sequenceType);
        for(unsigned i = 0; i < 9; ++i)
        {
	        d_tree->addChild(new AST::Node(andType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
	        d_tree->getChild(i)->addChild(new AST::Node(orType));
        }

        d_standard_capability_low = getParam("/capability/@low", 0.2);
        d_standard_capability_high = getParam("/capability/@high", 0.5);
      }
