#ifndef _BATS_FALLCOMMIT_HH_
#define _BATS_FALLCOMMIT_HH_

#include "behavior.hh"

namespace bats
{
  class FallCommit : public Behavior
  {

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
    float d_maxBallDist;
    float d_maxStepTime;
  public:
    FallCommit(std::string const &id, std::string const &playerClass);
    virtual void update();
  };
};

#endif
