#include "fastkickball.ih"

void FastKickBall::update()
{
  Behavior::update();
  
  WorldModel& wm = SWorldModel::getInstance();
  Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();

  d_committed = d_committed || ((wm.getTime() - d_curStepStart) < 1.0 && ballPos.length() < 1.0);
}

