#include "gawalk.ih"

GAWalk::GAWalk(string const &id, string const &playerClass)
  : Behavior("GAWalk", id, playerClass)
{
	size_t numSteps = 10;
	size_t numSlots = 10;

	d_tree = new AST::Node(sequenceType);	

	for (size_t step = 0; step < numSteps; ++step)
	{
		d_tree->addChild(new AST::Node(andType));
		
		for (size_t slot = 0; slot < numSlots; ++slot)
			d_tree->getChild(step)->addChild(new AST::Node(orType));
	}
}

