#include "goalkick.ih"

rf<Behavior::Goal> GoalKick::generateGoal(unsigned step, unsigned slot)
{
  WorldModel& wm = SWorldModel::getInstance();
  rf<Goal> goal = new Goal();
  rf<OrNode> dis = goal->addDisjunct();
  rf<AndNode> con = dis->addConjunct();

  if(step == 0)
  { //Goodangle
      Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();
      Vector3D oppGoalPos = (wm.getObject(Types::GOAL1THEM).position.getMu() + wm.getObject(Types::GOAL2THEM).position.getMu()) / 2;
      Vector3D dir = oppGoalPos - ballPos;
      Vector3D ballPosRight = dir.crossProduct(Vector3D(0,0,1)).normalize();
      Vector3D pos = ballPos + dir.normalize()*-0.14;
      pos = pos + ballPosRight * 0.055;

      con->addVar("Dir", dir);
      con->addVar("Pos", pos);
  }
  else if(step == 1)
  {
      Vector3D kickDir = (wm.getObject(Types::GOAL1THEM).position.getMu() + wm.getObject(Types::GOAL2THEM).position.getMu()) / 2;
      con->addVar("Dir", kickDir);
  }
  // con->addVar("Var", 0, 1);

  return goal;
}
