#include "goodposition.ih"

Behavior::ConfidenceInterval GoodPosition::getCapability(rf<State> s, rf<Goal> g)
{
  Vector3D pos = g->getVector("Pos");
  
  _debugLevel4(ident() << ": " << pos << " " << pos.length());
  
  if (pos.length() > d_max_distance)
    return capable(false);
  
  return capable(true);
}
