#include "goodpositionangle.ih"

Behavior::ConfidenceInterval GoodPositionAngle::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel &wm = SWorldModel::getInstance();
  Vector3D pos;
  
  if (g->findDeep("PosX"))
    pos = g->getVector("Pos");
  else
    pos = wm.getObject(d_defaultPos).position.getMu();
  
  _debugLevel4(ident() << ": " << pos << " " << pos.length());
  pos[2] = 0;
  
  _debugLevel4("d_cap goodPos: " << ((pos.length() < d_min_capable_distance || pos.length() > d_max_distance) ? capable(false).first : capable(true).first));
  
  if (pos.length() < d_min_capable_distance || pos.length() > d_max_distance)
  //if (pos.length() > d_max_distance)
    return capable(false);
      
  return capable(true);
}

