#ifndef _BATS_JOINT_INTERFACE_H_
#define _BATS_JOINT_INTERFACE_H_

#include "types.hh"

namespace bats
{
	class JointInterface
	{
		public:
			virtual ~JointInterface() {};
			virtual Types::Joint joint() const = 0;
			double position() const;
		};
}

#endif /* _BATS_JOINT_INTERFACE_H_ */
