#include "keepergetup.ih"

Behavior::ConfidenceInterval KeeperGetUp::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();
  
  Vector3D ballPos = wm.getObjectPositionLocal(Types::BALL).getMu();

  _debugLevel4(fabs(wm.getDistToField()));
  return fabs(wm.getDistToField()) < 1.5 && ballPos.length() > 5 ? ConfidenceInterval(0.8, 0.2) : capable(false);
}
