#include "kickoff.ih"

KickOff::KickOff(string const &id, string const &playerClass)
  : Behavior("KickOff", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

  d_max_distance = getParam("/distance/@max", 0.4);
}
