#include "kickto.ih"

KickTo::KickTo(string const &id, string const &playerClass)
  : Behavior("KickTo", id, playerClass),
    d_buffered_if(1.0)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(2)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(3)->addChild(new AST::Node(orType));

  d_firstTime = true;
  d_timeCounter = 0;

  d_max_distance = getParam("/distance/@max", 1);


  d_angle_threshold = getParam("/angle/@threshold", 0.2);
}
