#include "kickto.ih"

Behavior::ConfidenceInterval KickTo::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();
  
  Vector3D ballPosCar = wm.getObject(Types::BALL).position.getMu();
  double ballX = ballPosCar.getX();
  double ballY = ballPosCar.getY();
  //bool leftTouch = wm.getLeftTouch();
  //bool rightTouch = wm.getRightTouch();
  // Distance from foot to ball (not from camera)
  double distToBall = sqrt(ballX * ballX + ballY * ballY);
  
  if (d_buffered_if( distToBall > d_max_distance || (d_curStep >= 2 && (ballY < 0 ||distToBall > d_max_distance))))
    return capable(false);
   else
    return capable(true);
}
