#include "localbehavior.ih"

LocalBehavior::LocalBehavior(string const &id, string const &playerClass)
  : Behavior("LocalBehavior", id, playerClass)
{
  d_min_distance = getParam("/distance/@min", 0.0);
  d_max_distance = getParam("/distance/@max", 999.0);

  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
}
