#ifndef _BATS_LOCALBEHAVIOR_HH_
#define _BATS_LOCALBEHAVIOR_HH_

#include "behavior.hh"

namespace bats
{
  class LocalBehavior : public Behavior
  {
		float d_min_distance, d_max_distance;
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    LocalBehavior(std::string const &id, std::string const &playerClass);
    virtual void update();
  };
};

#endif
