#include "miniwalkcombined.ih"

MiniWalkCombined::MiniWalkCombined(string const &id, string const &playerClass)
  : Behavior("MiniWalkCombined", id, playerClass),
    d_direction(3)
{
  cout << "constructor of miniwalk combined" << endl;
  
  PostureCombiner::initWalkModule();
  d_walk_generator = new Scaler(PostureCombiner::s_walk_module);

  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  
  for (unsigned i = 0; i < Types::NJOINTS; ++i)
    d_tree->getChild(0)->addChild(new AST::Node(orType));

}
