#ifndef _BATS_MOVECOMTO_HH_
#define _BATS_MOVECOMTO_HH_

#include "behavior.hh"

namespace bats
{
  class MoveCOMTo : public Behavior
  {

    Types::Side d_side;
    double d_factor;
    double d_angles[4];

    virtual void preGenerateGoal(unsigned step);
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    MoveCOMTo(std::string const &id, std::string const &playerClass);
  };
};

#endif
