#include "paas.ih"

rf<Behavior::Goal> Paas::generateGoal(unsigned step, unsigned slot)
{
  rf<Goal> goal = new Goal();
  rf<OrNode> dis = goal->addDisjunct();
  rf<AndNode> con = dis->addConjunct();
  
  std::vector<Target> targets;
  getTargetsInto(&targets);
  sort(targets.begin(), targets.end());
  
  //Pass in safest target direction
  if( not targets.empty())
    con->addVar("Dir", targets[0].location.getMu());
  
  return goal;
}
