#include "periodicjoint.ih"

bool
PeriodicJoint::active()
{
	if (d_delay < 0.001 && d_delay > -0.001)
		return true;

	WorldModel &wm = SWorldModel::getInstance();
	double now = wm.getTime();
	
	if (d_initTime < 0.0)
		d_initTime = now;
	
	return d_initTime + d_delay * d_period < now;
}

