#include "position.ih"

Position::Position(string const &id, string const &playerClass)
  : Behavior("Position", id, playerClass),
    d_defaultPos(Types::BALL)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));

  std::string target = getParam("/Pos", string());
  if(target.size())
    d_defaultPos = Types::objectEnumFor(target, d_defaultPos);
  d_distance = getParam("/distance", 1);  
}
