#ifndef _BATS_POSITIONARM_HH_
#define _BATS_POSITIONARM_HH_

#include "behavior.hh"
#include "worldmodel.hh"

namespace bats
{
  class PositionArm : public Behavior
  {
	Types::Side d_side;

	double d_speeds[4];

	virtual void preGenerateGoal(unsigned step);

    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);

  public:
    PositionArm(std::string const &id, std::string const &playerClass);

    virtual void update();
  };
};

#endif
