#include "positionarm.ih"

void PositionArm::update()
{
  Behavior::update();

  if (d_goal)
  {
    AgentModel& am = SAgentModel::getInstance();

    Vector3D target = d_goal->getVector("Target");
    Matrix4D shoulderTransform = am.getBodyPart(d_side == Types::RIGHT ? Types::RHAND1 : Types::LHAND1)->transform;
    Vector3D shoulderPos = shoulderTransform.trans() + shoulderTransform.front();// * 0.956 / 2.0;


    if (target.getZ() < 0.4)
    {
    	d_committed = false;
    }
//  }
//  else
//  {
//	d_committed = true;
//  }
  }
}
