#include "positionfoot.ih"

Vector3D PositionFoot::getToePos()
{
  AgentModel& am = SAgentModel::getInstance();
  Matrix4D footTransform = am.getBodyPart((Types::BodyPart)(d_side == Types::LEFT ? Types::LFOOT : Types::RFOOT))->transform;

  return footTransform.trans() +
         footTransform.front() * am.getBodyPart(Types::LFOOT)->size[1] / 2.0 /*+
         footTransform.right() * am.getBodyPart(Types::LFOOT)->size[0] / 2.0 * (d_side == Types::LEFT ? 1.0 : -1.0)*/;
}

