#include "positionfoot.ih"

void PositionFoot::preGenerateGoal(unsigned step)
{
  //AgentModel& am = SAgentModel::getInstance();
  Vector3D target = d_goal->getVector("Target");
  Vector3D toePos = getToePos();
  
  _debugLevel1("target: " << target << " toepos: " << toePos);
  
  d_speeds[0] = 0;
  for (unsigned i = 1; i < 5; ++i)
  {
      
    d_speeds[i] = d_speedFactor * Talent::calcJointGradient(toePos,
                                                   target,
                                                   (Types::Joint)((d_side == Types::LEFT ? Types::LLEG1 : Types:: RLEG1) + i));
  }
  
  // keep foot straight
  //d_speeds[4] = -d_speeds[1] - d_speeds[3];
}

