#include "quitrun.ih"

Behavior::ConfidenceInterval QuitRun::getCapability(rf<State> s, rf<Goal> g)
{
	WorldModel &wm = SWorldModel::getInstance();

	if (abs(wm.getDistToField()) < 0.275)
	{
		cout << "fell" << endl << flush;
		
		sleep(1);

		exit(0);
	}
	
	if (abs(wm.getDistToField()) > 0.45)
	{
		cout << "flew" << endl << flush;
		
		sleep(1);
		exit(0);
	}

	return ConfidenceInterval(-1.0, 0.0);
}

