#include "remotecontrol.ih"

RemoteControl::RemoteControl(string const &id, string const &playerClass)
  : Behavior("RemoteControl", id, playerClass),
    d_factor(0)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  
  _debugLevel4("initializing ncurses");
  
  initscr();
  cbreak();
  noecho();
  nodelay(stdscr, TRUE);
}

RemoteControl::~RemoteControl()
{
  endwin();
}

