#ifndef _BATS_REMOTECONTROL_HH_
#define _BATS_REMOTECONTROL_HH_

#include "behavior.hh"

namespace bats
{
  class RemoteControl : public Behavior
  {
    double d_factor;
    
    virtual void preGenerateGoal(unsigned step);
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    RemoteControl(std::string const &id, std::string const &playerClass);
    ~RemoteControl();
    
  protected:
    char d_command;
    
  };
};

#endif
