#include "scorpiusblocker.ih"

Behavior::ConfidenceInterval ScorpiusBlocker::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();
  
  ConfidenceInterval c =  (d_lastModeKickOffThem && wm.getPlayMode() == Types::PLAY_ON ? ConfidenceInterval(0.7, 0.7) : ConfidenceInterval(0.0, 0.0));
  
  d_lastModeKickOffThem = wm.getPlayMode() == Types::KICKOFF_THEM;
  
  return c;
}
