#include "scorpiusblocker.ih"

void ScorpiusBlocker::update()
{
  Behavior::update();
  
  WorldModel& wm = SWorldModel::getInstance();
  if (wm.getPlayMode() == Types::KICKOFF_THEM)
    d_lastKickOffThem = wm.getTime();
  
  _debugLevel1(wm.getTime() << " " << d_lastKickOffThem);
  d_committed = d_committed || wm.getTime() - d_lastKickOffThem < 3.0;
}

