#include "scriptplayer.ih"

rf<Behavior::Goal> ScriptPlayer::generateGoal(unsigned step, unsigned slot)
{
  //AgentModel& am = SAgentModel::getInstance();
  
  d_committed = true;
  
  vector<pair<double, double> > scriptLine = d_script[d_curLine];

  rf<Goal> goal = new Goal();
  rf<OrNode> dis = goal->addDisjunct();
  rf<AndNode> con = dis->addConjunct();

   _debugLevel4("Angle for slot " << slot << ": " << scriptLine[slot].first);
   //_debugLevel4("(now: " << am.getJoint((Types::Joint)slot)->angle.getMu() << ")");
   
  con->addVar("Angle", scriptLine[slot].first, scriptLine[slot].first);
  con->addVar("MaxSpeed", scriptLine[slot].second, scriptLine[slot].second);
  
  return goal;
}
