#include "scalablesine.ih"

double ScalableSine::calcAngle(unsigned slot)
{
	WorldModel& wm = SWorldModel::getInstance();
	//_debugLevel1("StartTime: " << jointparams.startTime);

	double angle = 0;
	rf<ScalableJointParams> jointparams = rf_cast<ScalableJointParams>(d_jointparams[slot]);

/* new
  double sampleTime = jointparams->joint.sampleTime();
  
  _debugLevel1(ident() << " " << wm.getTime() << " " << slot << " sampletime: " << sampleTime);
  
	// Iterate over all sines
	for (unsigned s = 0; s < jointparams->sines.size(); ++s)
	{
		SineParams &sineparams = jointparams->sines[s];
		angle += jointparams->ampFactors[s] * jointparams->joint.amplitude() * sineparams.amplitude *
            sin(sampleTime / sineparams.period * jointparams->freqfactor * 2 * M_PI + sineparams.phase) +
            sineparams.offset;
	}
*/  

/* old */
  double sampleTime = wm.getTime();
  
  _debugLevel1(ident() << " " << wm.getTime() << " " << slot << " sampletime: " << sampleTime);
  
	// Iterate over all sines
	for (unsigned s = 0; s < jointparams->sines.size(); ++s)
	{
		SineParams &sineparams = jointparams->sines[s];
		angle += jointparams->ampFactors[s] * sineparams.amplitude *
            sin(sampleTime / sineparams.period * 2 * M_PI + sineparams.phase) +
            sineparams.offset;
	}
/**/

	angle *= M_PI / 180.0;
	return angle;
}

