#include "sine.ih"

void Sine::preGenerateGoal(unsigned step)
{
  WorldModel& wm = SWorldModel::getInstance();
  
  // Readd decrease
  _debugLevel1(ident() << " old factor: " << d_factor);
  
  d_factor = d_factor + (d_shutdownTime < 0.001 && d_shutdownTime > -0.001 ? 1 : (wm.getTime() - getLastUpdate()) / d_shutdownTime);
  increaseFactor(wm.getTime() - getLastUpdate());
  _debugLevel1(ident() << " new factor: " << d_factor);
}
