#ifndef _BATS_STAYDOWN_HH_
#define _BATS_STAYDOWN_HH_

#include "behavior.hh"

namespace bats
{
  class StayDown : public Behavior
  {
    unsigned d_time; // How many seconds I shoudl stay down.
  
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    StayDown(std::string const &id, std::string const &playerClass);
    virtual void update();
  };
};

#endif
