#include "strafetoball.ih"

StrafeToBall::StrafeToBall(string const &id, string const &playerClass)
  : Behavior("StrafeToBall", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));

  d_min_distance = getParam("/distance/@min", 1.5);
  d_max_distance = getParam("/distance/@max", 7);
  d_angle = getParam("/angle/@angle", 0.25*M_PI);


}

