#include "swingleg.ih"

void SwingLeg::preGenerateGoal(unsigned step)
{
  double maxSpeed = 7.0;
  // amps: -1 1 -1 1 1 -1 1 1 1 -1 -1

  d_speeds[0] = -maxSpeed;    // LLEG1
  d_speeds[1] = maxSpeed;         // LLEG2
  d_speeds[2] = -maxSpeed;        // LLEG3
  d_speeds[3] = maxSpeed;     // LLEG4
  d_speeds[4] = maxSpeed;     // RLEG1
  d_speeds[5] = -maxSpeed;    // RLEG2
  d_speeds[6] = maxSpeed;         // RLEG3
  d_speeds[7] = maxSpeed;     // RLEG4
  d_speeds[8] = maxSpeed;     // RLEG5
  d_speeds[9] = -maxSpeed;    // LARM1
  d_speeds[10] = -maxSpeed;   // LARM2

  //_debugLevel1("Hello");
  for (unsigned i = 0; i < 11; ++i)
  {
    //d_speeds[i] = 0;
    ostringstream ampout;
    ampout << "Amp" << i;
    if (d_goal->findDeep(ampout.str()))
      d_speeds[i] = maxSpeed * d_goal->getMean(ampout.str());
  }
  
}

