#ifndef _BATS_SWINGLEG_HH_
#define _BATS_SWINGLEG_HH_

#include "behavior.hh"

namespace bats
{
  class SwingLeg : public Behavior
  {
    double d_speeds[11];
    
    virtual void preGenerateGoal(unsigned step);
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    SwingLeg(std::string const &id, std::string const &playerClass);
  };
};

#endif
