#include  "tactic.ih"
Behavior::ConfidenceInterval Tactic::getCapability(rf<State> s, rf<Goal> g)
{
   TacticIterator it = d_tactic_sets.begin();
   TacticIterator end = d_tactic_sets.end();

   for (; it != end; ++it)
        if ((*it)->isApplicable())
        {
            d_current = *it;
            return ConfidenceInterval(d_standard_capability_high, d_standard_capability_low);
        }

   d_current = 0;
   return capable(false);
}

