#include "kicktrainer.ih"

void KickTrainer::onRunStart()
{
	//WorldModel& wm = SWorldModel::getInstance();
	
	Vector3D dir;
	dir[0] = 0;//1.0 * rand() / (RAND_MAX + 1.0);
	dir[1] = 1.0;// * rand() / (RAND_MAX + 1.0);
	dir[2] = 0;
	
	//double dist = 0.5 * rand() / (RAND_MAX + 1.0);//0.05
	//double z = 1.0 * rand() / (RAND_MAX + 1.0);//0.5
	dir = dir.normalize();
	d_footPos[0] = 0;//-dir[0] * 1.05 * wm.getBallRadius();
	d_footPos[1] = -0.0459;// + 0.01 * rand() / (RAND_MAX + 1.0) - 0.005;//-dir[1] * (1.0 + dist) * wm.getBallRadius();
  d_footPos[2] = -0.016;// + 0.01 * rand() / (RAND_MAX + 1.0) - 0.005;//-z * wm.getBallRadius();
  
  // Generate kick parameters for each leg joint
  d_kickPeriod = 0.3;//1.0 * rand() / (RAND_MAX + 1.0);
  d_kickAmps.clear();
  double maxAmp = 100.0;
  for (unsigned i = 0; i < 6; ++i)
  {
    double a = 0;
    if (i == 1 || i == 3)
      a = maxAmp * dir[1];
    else if (i == 2)
      a = -maxAmp* dir[0];
    d_kickAmps.push_back(a);
  }
  cout << "(KickTrainer) Param Footpos: " << d_footPos << endl;
  cout << "(KickTrainer) Param Period: " << d_kickPeriod << endl;
  for (unsigned i = 0; i < 6; ++i)
    cout << "(KickTrainer) Param Kick Amp " << i << " " << d_kickAmps[i] << endl;
}
