#include "waitforkickoff.ih"

Behavior::ConfidenceInterval WaitForKickOff::getCapability(rf<State> s, rf<Goal> g)
{
  WorldModel& wm = SWorldModel::getInstance();

  
  // Only capable in kickoff states and if we're not the nearest when we get kickoff ourself
  if (wm.getPlayMode() == Types::KICKOFF_THEM ||
      (wm.getPlayMode() == Types::KICKOFF_US && wm.getObject(Types::BALL).position.getMu().length() > d_min_distance))
    return capable(true);
  else
    return capable(false);
}
