#ifndef _BATS_WAITFORKICKOFF_HH_
#define _BATS_WAITFORKICKOFF_HH_

#include "behavior.hh"

namespace bats
{
  class WaitForKickOff : public Behavior
  {

    double d_min_distance;
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    WaitForKickOff(std::string const &id, std::string const &playerClass);
  };
};

#endif
