#include "waitforopponent.ih"

WaitForOpponent::WaitForOpponent(string const &id, string const &playerClass)
  : Behavior("WaitForOpponent", id, playerClass),
    d_wait_distance(5.0)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));

  getSettings();
}
