#ifndef _BATS_WAITFOROPPONENT_HH_
#define _BATS_WAITFOROPPONENT_HH_

#include "behavior.hh"

namespace bats
{
  class WaitForOpponent : public Behavior
  {
    double d_wait_distance;
    
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    WaitForOpponent(std::string const &id, std::string const &playerClass);

  private:
    void getSettings();
  };
};

#endif
