#include "walkstraightto.ih"

WalkStraightTo::WalkStraightTo(string const &id, string const &playerClass)
  : Behavior("WalkTo", id, playerClass),
    d_buffered_if(1.0)
{
  //  XMLNodeSet params = getParams("/settings");



  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(1)->addChild(new AST::Node(orType));
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(2)->addChild(new AST::Node(orType));

  _debugLevel1("angle: " << d_angle);
  d_angle = getParam("/angle/@angle", 10.0);
   
}

