#include "walkto.ih"
#include "math.hh"

Behavior::ConfidenceInterval WalkTo::getCapability(rf<State> s, rf<Goal> g)
{
	WorldModel &wm = SWorldModel::getInstance();
	Vector3D goal1Pos = wm.getObject(Types::GOAL1THEM).position.getMu();
	Vector3D goal2Pos = wm.getObject(Types::GOAL2THEM).position.getMu();
	Vector3D oppGoal = (goal1Pos + goal2Pos) / 2.0;
	
	Vector3D ballPos = wm.getObject(Types::BALL).position.getMu();
	ballPos.setZ(0);
	oppGoal.setZ(0);

	return capable(true);
//	return (Math::atSameSideOf(ballPos, oppGoal,Vector3D(0,0,0))) ? ConfidenceInterval(0.5, 0.2) : ConfidenceInterval(0.6, 0.2);
}
