#include "walktoangle.ih"

WalkToAngle::WalkToAngle(string const &id, string const &playerClass)
  : Behavior("WalkToAngle", id, playerClass)
{
  d_tree = new AST::Node(sequenceType);
  d_tree->addChild(new AST::Node(andType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  d_tree->getChild(0)->addChild(new AST::Node(orType));
  
  d_curveFactor = Behavior::getParam("/curveFactor", 0.28);
  d_brakeDistance = Behavior::getParam("/brakeDistance", -1);
  d_targetSpeed = Behavior::getParam("/targetSpeed", -1);

	d_min_distance = getParam("/distance/@min", 0.25);
}
