#include "zerogoodpositionangle.ih"

Behavior::ConfidenceInterval ZeroGoodPositionAngle::getCapability(rf<State> s, rf<Goal> g)
{
  //WorldModel& wm = SWorldModel::getInstance();
  
  Vector3D pos = g->getVector("Pos");
  double posX = pos.getX();
  double posY = pos.getY();
  //bool leftTouch = wm.getLeftTouch();
  //bool rightTouch = wm.getRightTouch();
  // Distance from foot to ball (not from camera)
  double dist = sqrt(posX * posX + posY * posY);
  
  return dist <= d_max_distance ? capable(true) : capable(false);
}
