#ifndef _BATS_ZEROGOODPOSITIONANGLE_HH_
#define _BATS_ZEROGOODPOSITIONANGLE_HH_

#include "behavior.hh"

namespace bats
{
  class ZeroGoodPositionAngle : public Behavior
  {
    double d_max_distance;
  
    virtual rf<Goal> generateGoal(unsigned step, unsigned slot);
    virtual rf<State> getCurrentState();
    virtual ConfidenceInterval getCapability(rf<State> s, rf<Goal> g);
  
  public:
    ZeroGoodPositionAngle(std::string const &id, std::string const &playerClass);
  };
};

#endif
