#ifndef _INCLUDED_AVOIDER_
#define _INCLUDED_AVOIDER_

#include "Vector3/vector3.hh"
#include <iostream>

namespace bats
{
enum  Check
{
    PLAYERS = 1,
    ENEMIES = 2,
    BALL = 4,
    ALL = 7
};

class Avoider
{
  static double radius_of_dude;
  static double radius_of_ball;
  static double factor;
  static double my_radius;

    public:

  static Vector3D correctIfCollides(Vector3D const &target, Vector3D goal = Vector3D(0.0, 0.0, 0.0), size_t depth = 8, unsigned check = PLAYERS);
  
  static bool collides(Vector3D const &target, Vector3D const &obstacle, double radius);
  static Vector3D correct(Vector3D const &target, Vector3D const &obstacle, double radius);

    private:
};

};        
#endif
