#include "bufferedif.ih"

bool BufferedIf::operator()(bool result)
{
  WorldModel &wm = SWorldModel::getInstance();

  if (result == d_state_of_if)
    {
      d_time_since_last_update = wm.getTime();
      return d_state_of_if;
    }
  else
    {
      double time = wm.getTime();
      if (time - d_time_since_last_update > d_buffer)
	{
	  d_time_since_last_update = time;
	  d_state_of_if = result;
	}
      return d_state_of_if;
    }
}
