#include "posture.ih"

Posture::PosturePosition Posture::getPosturePosition()
{
  PosturePosition posture_position;
  for (size_t i(Types::HEAD1); i < Types::NJOINTS; i++)
    posture_position[static_cast<Types::Joint>(i)] = 0;

  for(size_t i(0); i < d_ids.size(); ++i)
    posture_position[d_ids[i]] = d_joint_positions[i];

  return posture_position;
}
