#include "posture.ih"

Posture::Posture(PosturePosition const &posture_position)
{
  PosturePosition::const_iterator it(posture_position.begin());
  PosturePosition::const_iterator end(posture_position.end());

  for (; it != end; ++it)
    {
      d_ids.push_back((*it).first);
      d_joint_positions.push_back((*it).second);
    }
}
