#ifndef _INCLUDED_POSTUREGENERATOR_
#define _INCLUDED_POSTUREGENERATOR_

#include "../function/function.hh"
#include "../patterngenerator/patterngenerator.hh"
#include "../posture/posture.hh"
#include "Types/types.hh"

class PostureGenerator : public Function<Posture, double>
{
  PatternGenerator<double, double> d_pattern;
  std::vector<bats::Types::Joint> d_indices;

public:
  PostureGenerator();
  
  Posture operator()(double const &in);
  
  void addFunction(bats::Types::Joint joint, Function<double, double> *function);
  
private:
};

        
#endif
