#include "vectorpredictor.ih"

void VectorPredictor::predict(double time_from_now, Vector3D *return_vec) const
{
  Vector3D &guess = *return_vec;
  guess = d_vectors[0];
  
  vector<Vector3D>::const_iterator it = d_vectors.begin();
  vector<Vector3D>::const_iterator end = d_vectors.end();

  int i(1);
  for (++it; it != end; ++it, ++i)
    guess += *it * (1.0 / faculty(i)) * pow(time_from_now, i);
}
