#include "vectorpredictor.ih"

VectorPredictor::VectorPredictor(size_t n)
  :
  d_last_time(0),
  d_vectors(n),
  d_li_vectors(n),
  d_times_updated(0)
{
  for (size_t i=0; i < n; ++i)
    d_li_vectors[i].settings(1.0 / (1 * (i + 1)), Vector3D(0, 0, 0));
}
