#include "stackcheck.ih"

void StackCheck::createFile(string const &filename)
{
  WorldModel &wm = SWorldModel::getInstance();
  AgentModel &am = SAgentModel::getInstance();
  
  ostringstream oss;
  
  size_t i(1);
  do
    {
      oss << "stack_log/" << filename << "_" << i << "_" << am.getUnum() << "_" << wm.getTeamName();
      string new_filename(oss.str());  
      d_outfile.open(new_filename.c_str(), ios_base::out);
      ++i;
      if (i > 20) break;
  
    }
  while (!d_outfile.is_open());

}
