#include "valuefield.ih"

// breedte = x
// height  = y

void ValueField::update(WorldModel &wm, AgentModel &am, double width, double height)
{
  clear();

  for (size_t i(0); i < d_n_points; ++i)
    {
      ValuePoint temp = (*d_creator)(wm, am, rand() * width, rand() * height);
      if (d_max_point < temp)
	d_max_point = temp;
      if (d_min_point > temp)
	d_min_point = temp;
      d_points.push_back(temp);
    }
}
