#include "attackdefend.ih"

Vector3D AttackDefend::defendPos()
{
    WorldModel &wm = SWorldModel::getInstance();

    Vector3D goal1 = wm.getObject(Types::GOAL1US).position.getMu();    
    Vector3D goal2 = wm.getObject(Types::GOAL2US).position.getMu();
    Vector3D goal = (goal1 + goal2) / 2.0;

    Vector3D ball = wm.getObject(Types::BALL).position.getMu();

    Vector3D diff = (ball - goal1).normalize();
    
    Vector3D new_pos = ball - diff * 2;

    return new_pos;
}
