#include "attackdefend.ih"

bool AttackDefend::otherOnGround()
{
    double min_z = 0.2;

    WorldModel &wm = SWorldModel::getInstance();

    if (wm.getNumberOfPlayers() == 0)
        return true;

    WorldModel::player_iterator it = wm.beginPlayers();
    WorldModel::player_iterator end = wm.endPlayers();

    for (; it != end; ++it)
    {
      //cout << "nr: " << it->first << endl;
        if (it->first > 0)
            return it->second.getPosition().getZ() < min_z;
    }

    return true;
}
