#include "tacticset.ih"

bool TacticSet::closestTo(Vector3D pos, size_t player_nr)
{
    WorldModel &wm = SWorldModel::getInstance();

    WorldModel::player_iterator it = wm.beginPlayers();
    WorldModel::player_iterator end = wm.endPlayers();

    size_t nr = 0;
    Vector3D other_pos(0, 0, 0);

    for (; it != end; ++it)
        if (it->first != 0)
        {
            nr = it->first;
            other_pos = it->second.getPosition();
        }

    if (nr == 0)
        return true;
    
    double dist_me = pos.length();
    double dist_2 = (other_pos - pos).length();

    return dist_me < dist_2;
}
