#ifndef _INCLUDED_KICKTOBESTSPOT_
#define _INCLUDED_KICKTOBESTSPOT_

#include "vector3.hh"
#include "tacticset.h"

namespace bats
{
class KickToBestSpot : TacticSet
{
    public:
        KickToBestSpot();

      virtual bool isApplicable();
      virtual Vector3D firstPlayerPos();
      virtual Vector3D secondPlayerPos();

      virtual double firstPlayerAngle();
      virtual double secondPlayerAngle();

      virtual bool firstPlayerScore() {return true; }
      virtual bool secondPlayerScore() {return true; }
    private:
};

}        
#endif
