#include "otherballkick.ih"

Vector3D OtherBallKick::approach()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal1 = wm.getObject(Types::GOAL1THEM).position.getMu();    
    Vector3D goal2 = wm.getObject(Types::GOAL2THEM).position.getMu();
    
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();

    Vector3D toOurGoal = (wm.getObject(Types::GOAL2US).position.getMu() - goal1).normalize();
    Vector3D toLeft = (goal2 - goal1).normalize();

    Vector3D new_pos;
    if (wm.getSide() == Types::LEFT)
        new_pos = goal2 + toOurGoal * 3.0 + toLeft * 1;  
    else
        new_pos = goal1 + toOurGoal * 3.0 - toLeft * 1;
    return new_pos;
}
