#include "otherballkick.ih"

Vector3D OtherBallKick::defend()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal1 = wm.getObject(Types::GOAL1US).position.getMu() * 0.25 + wm.getObject(Types::GOAL2US).position.getMu() * 0.75;    
    Vector3D goal2 = wm.getObject(Types::GOAL1US).position.getMu() * 0.75 + wm.getObject(Types::GOAL2US).position.getMu() * 0.25; 
    
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();

    Vector3D goal;
    if ((goal1 - ball).length() > (goal2 - ball).length())
        goal = goal1;
    else
        goal = goal2;
    
    
    Vector3D toOurGoal = (goal - ball).normalize();

    Vector3D new_pos = ball + toOurGoal * 3.0;

    return new_pos;
}
