#include "otheringooi.ih"

Vector3D OtherIngooi::approach()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal = (wm.getObject(Types::GOAL1US).position.getMu() + 
                     wm.getObject(Types::GOAL2US).position.getMu()) / 2.0;

    Vector3D ball = wm.getObject(Types::BALL).position.getMu();
    
    Vector3D diff = (goal - ball).normalize();
    
    Vector3D new_pos = ball + diff * 1.0;

    if ((goal - ball).length() < 1.0 + 1.0)
        new_pos = goal - diff * 1.0;

    d_shoot_field.calculate();

    return new_pos;
}
