#include "otheringooi.ih"

Vector3D OtherIngooi::defend()
{
    WorldModel &wm = SWorldModel::getInstance();
    AgentModel &am = SAgentModel::getInstance();

    Vector3D goal1 = wm.getObject(Types::GOAL1US).position.getMu();    
    Vector3D goal2 = wm.getObject(Types::GOAL2US).position.getMu();
    
    Vector3D ball = wm.getObject(Types::BALL).position.getMu();

    Vector3D goal = (goal1 + goal2) / 2.0;
    
    Vector3D diff = (goal - ball).normalize();

    Vector3D new_pos = ball + diff * 5.0;
    if ((goal - ball).length() < 5.0 + 1.0)
        new_pos = goal - diff * 1.0;

    return new_pos;
}
