#ifndef _INCLUDED_USBALLKICK_
#define _INCLUDED_USBALLKICK_

#include "tacticset.h"

namespace bats
{
class UsBallKick : public TacticSet
{
 public:
  UsBallKick(){}

  virtual bool isApplicable();
  virtual Vector3D firstPlayerPos();
  virtual Vector3D secondPlayerPos();

  virtual double firstPlayerAngle();
  virtual double secondPlayerAngle();

  ~UsBallKick(){}
 private:
    Vector3D defend();
    Vector3D approach();};

}        
#endif
